// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto}
 */
public  final class ClientHeartbeatResponseDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto)
    ClientHeartbeatResponseDtoOrBuilder {
  // Use ClientHeartbeatResponseDto.newBuilder() to construct.
  private ClientHeartbeatResponseDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private ClientHeartbeatResponseDto() {
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private ClientHeartbeatResponseDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            com.accelfin.server.messaging.dtos.TimestampDto.Builder subBuilder = null;
            if (timeSent_ != null) {
              subBuilder = timeSent_.toBuilder();
            }
            timeSent_ = input.readMessage(com.accelfin.server.messaging.dtos.TimestampDto.parser(), extensionRegistry);
            if (subBuilder != null) {
              subBuilder.mergeFrom(timeSent_);
              timeSent_ = subBuilder.buildPartial();
            }

            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto.class, com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto.Builder.class);
  }

  public static final int TIME_SENT_FIELD_NUMBER = 1;
  private com.accelfin.server.messaging.dtos.TimestampDto timeSent_;
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
   */
  public boolean hasTimeSent() {
    return timeSent_ != null;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDto getTimeSent() {
    return timeSent_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timeSent_;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimeSentOrBuilder() {
    return getTimeSent();
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (timeSent_ != null) {
      output.writeMessage(1, getTimeSent());
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (timeSent_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getTimeSent());
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto)
      com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto.class, com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      if (timeSentBuilder_ == null) {
        timeSent_ = null;
      } else {
        timeSent_ = null;
        timeSentBuilder_ = null;
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_descriptor;
    }

    public com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto build() {
      com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto buildPartial() {
      com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto result = new com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto(this);
      if (timeSentBuilder_ == null) {
        result.timeSent_ = timeSent_;
      } else {
        result.timeSent_ = timeSentBuilder_.build();
      }
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto) {
        return mergeFrom((com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto other) {
      if (other == com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto.getDefaultInstance()) return this;
      if (other.hasTimeSent()) {
        mergeTimeSent(other.getTimeSent());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private com.accelfin.server.messaging.dtos.TimestampDto timeSent_ = null;
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> timeSentBuilder_;
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public boolean hasTimeSent() {
      return timeSentBuilder_ != null || timeSent_ != null;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto getTimeSent() {
      if (timeSentBuilder_ == null) {
        return timeSent_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timeSent_;
      } else {
        return timeSentBuilder_.getMessage();
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public Builder setTimeSent(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (timeSentBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        timeSent_ = value;
        onChanged();
      } else {
        timeSentBuilder_.setMessage(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public Builder setTimeSent(
        com.accelfin.server.messaging.dtos.TimestampDto.Builder builderForValue) {
      if (timeSentBuilder_ == null) {
        timeSent_ = builderForValue.build();
        onChanged();
      } else {
        timeSentBuilder_.setMessage(builderForValue.build());
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public Builder mergeTimeSent(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (timeSentBuilder_ == null) {
        if (timeSent_ != null) {
          timeSent_ =
            com.accelfin.server.messaging.dtos.TimestampDto.newBuilder(timeSent_).mergeFrom(value).buildPartial();
        } else {
          timeSent_ = value;
        }
        onChanged();
      } else {
        timeSentBuilder_.mergeFrom(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public Builder clearTimeSent() {
      if (timeSentBuilder_ == null) {
        timeSent_ = null;
        onChanged();
      } else {
        timeSent_ = null;
        timeSentBuilder_ = null;
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto.Builder getTimeSentBuilder() {
      
      onChanged();
      return getTimeSentFieldBuilder().getBuilder();
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimeSentOrBuilder() {
      if (timeSentBuilder_ != null) {
        return timeSentBuilder_.getMessageOrBuilder();
      } else {
        return timeSent_ == null ?
            com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timeSent_;
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
     */
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> 
        getTimeSentFieldBuilder() {
      if (timeSentBuilder_ == null) {
        timeSentBuilder_ = new com.google.protobuf.SingleFieldBuilder<
            com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder>(
                getTimeSent(),
                getParentForChildren(),
                isClean());
        timeSent_ = null;
      }
      return timeSentBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto)
  private static final com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto();
  }

  public static com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<ClientHeartbeatResponseDto>
      PARSER = new com.google.protobuf.AbstractParser<ClientHeartbeatResponseDto>() {
    public ClientHeartbeatResponseDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new ClientHeartbeatResponseDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<ClientHeartbeatResponseDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<ClientHeartbeatResponseDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

